Package weka.core.pmml.jaxbbindings

# Class PMML

java.lang.Object
weka.core.pmml.jaxbbindings.PMML

public class PMML extends Object

Java class for PMML element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="PMML">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Header"/>
               <element ref="{http://www.dmg.org/PMML-4_1}MiningBuildTask" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}DataDictionary"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TransformationDictionary" minOccurs="0"/>
               <sequence maxOccurs="unbounded" minOccurs="0">
                 <group ref="{http://www.dmg.org/PMML-4_1}MODEL-ELEMENT"/>
               </sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="version" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PMML()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAssociationModelOrBaselineModelOrClusteringModes(Object object)`
  `List<Object>`
  `getAssociationModelOrBaselineModelOrClusteringModels()`
  Gets the value of the associationModelOrBaselineModelOrClusteringModel property.
  `DataDictionary`
  `getDataDictionary()`
  Gets the value of the dataDictionary property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Header`
  `getHeader()`
  Gets the value of the header property.
  `MiningBuildTask`
  `getMiningBuildTask()`
  Gets the value of the miningBuildTask property.
  `TransformationDictionary`
  `getTransformationDictionary()`
  Gets the value of the transformationDictionary property.
  `String`
  `getVersion()`
  Gets the value of the version property.
  `void`
  `setDataDictionary(DataDictionary value)`
  Sets the value of the dataDictionary property.
  `void`
  `setHeader(Header value)`
  Sets the value of the header property.
  `void`
  `setMiningBuildTask(MiningBuildTask value)`
  Sets the value of the miningBuildTask property.
  `void`
  `setTransformationDictionary(TransformationDictionary value)`
  Sets the value of the transformationDictionary property.
  `void`
  `setVersion(String value)`
  Sets the value of the version property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PMML

    public PMML()

- ## Method Details

  - ### getHeader

    public Header getHeader()
    Gets the value of the header property.
    Returns:
      possible object is `Header`

  - ### setHeader

    public void setHeader(Header value)
    Sets the value of the header property.
    Parameters:
      `value` - allowed object is `Header`

  - ### getMiningBuildTask

    public MiningBuildTask getMiningBuildTask()
    Gets the value of the miningBuildTask property.
    Returns:
      possible object is `MiningBuildTask`

  - ### setMiningBuildTask

    public void setMiningBuildTask(MiningBuildTask value)
    Sets the value of the miningBuildTask property.
    Parameters:
      `value` - allowed object is `MiningBuildTask`

  - ### getDataDictionary

    public DataDictionary getDataDictionary()
    Gets the value of the dataDictionary property.
    Returns:
      possible object is `DataDictionary`

  - ### setDataDictionary

    public void setDataDictionary(DataDictionary value)
    Sets the value of the dataDictionary property.
    Parameters:
      `value` - allowed object is `DataDictionary`

  - ### getTransformationDictionary

    public TransformationDictionary getTransformationDictionary()
    Gets the value of the transformationDictionary property.
    Returns:
      possible object is `TransformationDictionary`

  - ### setTransformationDictionary

    public void setTransformationDictionary(TransformationDictionary value)
    Sets the value of the transformationDictionary property.
    Parameters:
      `value` - allowed object is `TransformationDictionary`

  - ### getAssociationModelOrBaselineModelOrClusteringModels

    public List<Object> getAssociationModelOrBaselineModelOrClusteringModels()
    Gets the value of the associationModelOrBaselineModelOrClusteringModel property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the associationModelOrBaselineModelOrClusteringModel property.

    For example, to add a new item, do as follows:

            getAssociationModelOrBaselineModelOrClusteringModel().add(newItem);

    Objects of the following type(s) are allowed in the list `TreeModel` `AssociationModel` `SupportVectorMachineModel` `TimeSeriesModel` `ClusteringModel` `TextModel` `NeuralNetwork` `BaselineModel` `GeneralRegressionModel` `NearestNeighborModel` `NaiveBayesModel` `MiningModel` `SequenceModel` `Scorecard` `RuleSetModel` `RegressionModel`

  - ### addAssociationModelOrBaselineModelOrClusteringModes

    public void addAssociationModelOrBaselineModelOrClusteringModes(Object object)

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getVersion

    public String getVersion()
    Gets the value of the version property.
    Returns:
      possible object is `String`

  - ### setVersion

    public void setVersion(String value)
    Sets the value of the version property.
    Parameters:
      `value` - allowed object is `String`